#include <iostream>
#include <atomic>
#include <thread>

std::atomic<int> x, y;

void writing(){
  x.store(2000,std::memory_order_release);
  y.store(11,std::memory_order_release);
}

void reading(){
  std::cout << y.load(std::memory_order_acquire) << " ";
  std::cout << x.load(std::memory_order_acquire) << std::endl;
}

int main(){

  std::cout << std::endl;

  std::thread thread1(writing);
  std::thread thread2(reading);

  thread1.join();
  thread2.join();

  std::cout << std::endl;

};
